# A modpack for a more challenging solo or duo playthough.

It's balanced towards solo and duo play, though it might need some tweaking for your own use. Nearly every mod has a custom config in order to cut down on material grinding and adding a bunch of custom items. Although it is new player friendly, the difficulty does ramp up to provide a more challenging experience than vanilla Valheim.
Every mod gets playtested before being added but I'm not a modder, just a config monkey. The configs will probably be adjusted on a nearly daily basis for a while due to playtesting it with several different people of varying amounts of experience with Valheim.  

**Whenever you update this modpack it will push all the current config files again. This means that if you adjusted them for your own personal playstyle you should back up your config files before updating, then replace them again afterwards.**

## All credit goes to the original mod creators!

Without them, none of us would be able to enjoy the vast amount of mods available. Special thanks for the OdinPlus Discord for supporting the community as best as they can.
In case you're having any issues with the mods at all I highly recommend checking their Discord. 

**If you really enjoy any of these mods, consider donating to the author of your favorite one!**

## Some of the features from the mods:

- Automatic feeding of tamed animals from containers;
- Kilns and smelters are supplied from nearby containers;
- Wards prevent enemies from spawning in a large radius;
- No more weather damage to your wood;
- Dual wield weapons! Not spears though;
- Extra skills for blacksmithing, cooking, evading, farming, hunting, lumberjacking, sailing & vitality;
- Lots of extra building pieces, ships, wild animals and mount drops;
- Added recipes for extra convenience;
- Special storage containers;
- Crafting from containers nearby and automatic sorting to containers when depositing loot;
- Passive & active boss powers;
- Bosses now have a chance to drop special weapons, which can be upgraded throughout the game.

## A few important keybindings:

- Holding shift while picking up things makes you pick up all of that same item in a radius;
- Pressing O stores items in your inventory to nearby containers that are already storing that item;
- Press Shift to toggle planting multiple crops in one go;
- Grid snapping is bound to Alt (or F7 to toggle), when placing and item you can use the C, B and V keys to rotate the item X, Y & Z axis;
- You can see your mount book by pressing F9 and summon a mount from it using F10, the books for these can be crafted after finding random drop mount summon from several mobs;
- While drawing a bow you can press left alt to zoom in;
- Delete items you no longer want by clicking on them in your inventory and then press the Delete key. This returns some materials too.

## Additional Recommendation:
- MinimalUI by Azumatt -> [HERE](https://valheim.thunderstore.io/package/Azumatt/Minimal_UI/)

## Suggestions or questions?

You can find me on Discord: Zaphonia#2187. I'm not a modder and can most likely not help you with any errors you may encounter, I once again recommend the OdinPlus Discord channel for that.
The modpack is still being playtested for solo (up to, but not including, Mistlands), duo (up to Plains) and trio (up to Plains). 

## Upcoming

- Adding more regular recipes to the Steel Forge;
- Balancing Mistlands before & after the boss is killed;
- Overhauling the Boss weapon drops vfx effects once WackyDB 2.0 is out;
- Locate a couple of warnings being thrown but do not cause major issues.

## Changelog

### v0.5.6

- Updated for Valheim 0.216.x
- Fixed an issue where Wolf Meat Skewer was still being auto sorted
- Tweaked the numbers for Jewelcrafting slightly to make it less punishing to remove gems from gear and socketing above 3 sockets.

### v0.5.5

- (Most) Cooking ingredients will now be auto sorted by pressing O, attempt #2;

### v0.5.4

- Had to revert cooking ingredient sorting change...hopefully fixing soon

### v0.5.3

- (Most) Cooking ingredients will now be auto sorted by pressing O;
- Updated for new versions of Armory, Monstrum & Warfare.

### v0.5.2

- Hot Finished Steel will no longer be automaticly pulled from containers to be cooled down;
- Small experience tweak.

### v0.5.1

- Removed Mending from all bosses;
- Added the Monstrum monsters to CLLC & Trader;
- Repair station now repairs all gear at once;
- Slightly tweaked skill experience , giving more exp overall to skills (0% > 33%) but also losing a bit more on death (-75% > -66% vanilla rates);
- Removed the experience penalty on levels when dying;
- Reduced experience needed to level.

### v0.5.0

- Added Monstrum to the pack, if you're already playing in a world use [Upgrade World](https://valheim.thunderstore.io/package/JereKuusela/Upgrade_World/) by Jere to update your world, Command is "monstrum". Be sure to backup your world before doing this;
- Removed dependancy on Teddybears, please remove;
- Small config fixes.

<details open>
<summary>Older changelogs</summary>
<br>

### v0.4.3

- Added RepairStation by Azumatt to allow you to repair all your gear in one place;
- Moved Wraith to the hard enemy list for swamp;
- Oozers and Blobs no longer spawn with poison infusion;
- Removed flying mounts given by the Majestic Mounts update. Sorry, they just break the game;
- Updated a few configs for newest versions of their respective mods.

### v0.4.2

- **Removed dependancy for TargetPortal, please remove**
- Re-added Xportal. TargetPortal sometimes caused an error needing a relog to fix;
- Doubled the range of which smelters / kilns draw resources from chests;
- Changed the icons for the boss materials and gave the bears back their fur;
- Changed the prices of valueable gems dropped by monsters according to their new tooltip values.

### v0.4.1

- Config fix for WackyMMO, actually putting in the changes to experience.

### v0.4.0

- **Removed dependancy on ItemDrawers due to it causing items to vanish in locally hosted games. Don't remove the addon until you've moved all your items to other boxes or they will vanish!**
- **Removed dependancy on FuelEternal, moved functionality to the BetterWards feature. Please remove FuelEternal;**
- **Removed dependancy on BowOfFrey, please remove;**
- Moved a few Warfare boss drops to the Steel Forge and added upgrades to them;
- Added a boss drop buckler and tower shield;
- Rebalanced all boss weapons to be more uniformed and in-sync with the regular weapon stats, nerfing some weapons but buffing others;
- Added Clutter for some extra options to decorate your base;
- Rebalanced backpacks; they now have less slots but impact your movement less too;
- Disabled the min and max level requirements for EpicMMO, all creatures will now award XP no matter what level you're at;
- Changes the range for if group members will receive experience;
- Lowered the experience needed to level;
- Removed the custom exp ranges for Teddybears since EpicMMO supports it now;
- Disabled the UI for EpicMMO, using MinimalUI (or turning it back on) is highly recommended.

### v0.3.0

- **Experience and Leveling System is no longer being provided on Thunderstore and the author does not want it here, hence why it has been replaced by WackyEpicMMOSystem;**
- The new leveling system will currently allow you to gain experience from anything within a range of 30 levels, this will be lowered to 20 soon. You might have to grind some old biomes though.;
- Added the Groups mod to allow you share part of your experience gained with nearby group members, make sure to invite your friend(s) if not playing solo (/invite [name])!;
- **Removed dependancy for XPortal and replaced it with TargetPortal, please remove XPortal;**
- **Removed dependancy for Smartcontainers and replaced it with AzuAutoStore (press O on your keyboard to store everything in nearby containers), please remove SmartContainers;**
- Removed the extra draw speed scaling for bows and crossbows from the BowPlugin, bow now used vanilla values, crossbows are slightly faster than vanilla;
- Added ThisGoesHere to purge conflicting mods in your plugins folder. **THIS WILL NOT REMOVE THEM FROM YOUR THUNDERSTORE PROFILE** meaning that if you download a future update, conflicts might happen.

### v0.2.4

- Switched OdinCraftyBoxes to AzuCraftyBoxes, please remove OdinCraftyBoxes;
- Changed the recipe for Cosmic Deer Book;
- Increased the drop rate for mount summons from their respective wild versions;
- Increased the chance for tougher enemies to spawn at a higher star rate after their relevant biome boss has been defeated.

### v0.2.3

- Reduced the pickup range for collectables to 6 to prevent game freezes;
- **Removed dependancy for MinimalUI. Though still highly recommended I no longer support this mod since everyone has their own prefered UI and settings;**
- **Removed dependancy for AutoFuel and switched to AutomaticFuel, please remove AutoFuel as it might cause conflicts.**

### v0.2.2

- Fixed the knockback on the bonemass 2h club to be in line with other sledges;
- Decreased the movement speed penalties on most boss drop 2h weapons; 
- Updated configs for new version of Majestic Chicken.

### v0.2.1

- Fixed the Cosmic Deer Statue recipe;
- Fixed an issue causing Cosmic Chickens not to deaggro;
- Slightly increased speed and damage for dual daggers.

### v0.2.0

- Difficulty tweaks;
- Added the Slope Combat Assistance mod for playtesting;
- Total Dual Wielding revamp; attack speed generally went up and overal damage will be lower, rewarding the dangerous play of not having a shield for dealing additional damage, but not dealing overwhelming amounts of it.
- Haldor rebalance.

### v0.1.3

- Hotfix for weight and floating items;
- Added a configurable pickup radius but left the value low to prevent accidental looting;
- Added custom configs for new Jewelcrafting features.

### v0.1.2

- Hotfix to enable Haldor to sell his famous belt again;
- Fixed an issue that caused bosses not to drop the right amount of materials / trophies.

### v0.1.1

- Added NoFogBruh again to remove the ugly ground fog;
- Increased building costs for the advanced portals;
- Advanced portals now allow you to transport metals of your current biome instead of the previous one;
- Moved Growth to the Tough enemies list and reduced their additional damage per star.

### v0.1.0

- Updated for Valheim 0.214.300;
- Modor's boss drop bow now uses double durability to compensate for the damage it deals;
- Skeletons now use default infusion values instead of Swamp ones to prevent them from mostly spawning with Poison Infusion;
- Cosmic Bears added to specific star values depending on world level;
- **Removed dependancy on several mods: ConversionSizeAndSpeed, DropMoreLoot, Hunting, More and Modified Player Cloth Colliders, NoFogBruh, Shapekeys and More, SilenceTameWolfCub & SouthsilArmor. These can now be removed, do note that if you're using any of the Southsil Armors these would get removed from your character.**

### v0.0.7

- Changed the weaknesses on the Elder boss drop shield;
- Changed Dual Wielding to use a general skill instead of specific skills for each different weapon;
- Trader prices overhaul;
- Moved Cultists to the Hard enemies list for a lower star spawn rate.

### v0.0.6

- Monster difficulty tweaks;
- Boss affixes adjusted;
- Mount drops changed;
- Backpack max weight increase lowered.

### v0.0.5

- A few fixes related to the mounts;
- Added zoom from BowPlugin, Left Alt to zoom while drawing;
- Adjusted the difficulty;
- Performance tweaks;
- Added a full changelog txt to the config folder to allow me to condense earlier entries.

### v0.0.4

- Fixed a small but important config mistake.

### v0.0.3

- CLLC adjustments for monsters and bosses;
- Fixed, added and adjusted some crafting recipes;
- Small tweaks to improve performance & playability in general;
- Changed the Boss gems from Jewelcrafting to be truly unique drops;
- **Removed dependancy of BowPack, Server_devcommands and World_Edit_Commands, can now be removed.**

### v0.0.2

- Minor tweaks to increase performance;
- Adjustments for CLLC;
- Weight rescaling;
- Trader update.

### v0.0.1

- Initial release
</details>